:root {
  --primary-color: #f2c744;
  --light: #f4f6f9;
  --dark: #000;
  --primary-font: 'Shadows Into Light', cursive;
  --secondary-font: 'Dancing Script', cursive;
}

.grid-container {
  display: grid;
  grid-template-columns: 67% auto;
  grid-template-rows: 25vh 60vh 120vh 20vh;
  grid-gap: 0.4em;
}
.grid-item {
  box-shadow: rgba(0, 0, 0, 0.24) 0px 2px 5px;
}
.header {
  grid-column: 1 / span 2;
  text-align: center;
}
.photo-block {
  grid-row: 2 / span 2;
  padding: 4vh;
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  grid-template-rows: 200px 200px 200px 150px 300px;
}
.bio {
  text-align: center;
  padding: 2vh;
}
@media screen and (min-height:850px) {
  .grid-container {
    grid-template-columns: 60% auto;
  }
}
@media screen and (max-width:1262px) and (min-height:850px) {
  .grid-container {
    grid-template-columns: 55% auto;
  }
}
@media screen and (min-width:1275px) and (min-height:634px) {
  .photo-block {
    grid-template-columns: 1fr 1fr 1fr 1fr;
  }
}
@media screen and (min-width:1024px) and (min-height:634px) {
  .grid-container {
    position: relative;
  }
  .bio {
    position: -webkit-sticky;
    position: sticky;
    top: 0;
  }
}
@media screen and (min-width:768px) and (max-width:1024px) {
  .grid-container {
    grid-template-rows: 25vh 60vh 30vh 20vh 70vh 20vh;
  }
  .bio {
    grid-row: 2 / span 2;
  }
  .photo-block {
    grid-row: 2 / span 4;
  }
}
@media screen and (min-width:1024px) and (max-width:1211px) {
  .grid-container {
    grid-template-rows: 25vh 60vh 10vh 40vh 70vh 20vh;
  }
  .bio {
    grid-row: 2 / span 2;
  }
  .photo-block {
    grid-row: 2 / span 4;
  }
}
@media screen and (max-width:768px) and (min-height:634px) {
  .grid-container {
    grid-template-rows: 25vh 60vh 30vh 20vh 70vh 20vh;
  }
  .bio {
    grid-row: 2 / span 3;
  }
  .photo-block {
    grid-row: 2 / span 4;
  }
}
@media screen and (max-width:545px) {
  .grid-container {
    grid-template-rows: 25vh 65vh 80vh 20vh 70vh 20vh;
  }
  .bio {
    grid-column: 1 / span 2;
    grid-row: 2; 
  }
  .photo-block {
    grid-column: 1 / span 2;
    grid-row: 3 / span 4;
  }
}
.footer {
  grid-column: 1 / span 2;
  text-align: center;
}
.dancing-script-font {
  font-family: var(--secondary-font);
}
.shadows-font {
  font-family: var(--primary-font);
}
.header img {
  height: 10vh;
  width: 15vh;
  margin-top: 0.5vh;
}
.header h1 {
  font-size: 5vh;
  margin-top: 0;
  margin-bottom: 1vh;
}
.header p {
  font-size: 2.4vh;
  margin-top: 0;
  margin-bottom: 0;
}
.photos {
  border-radius: 1vh;
  background-repeat: no-repeat;
  margin: 1vh;
  object-fit: contain;
}
.tunnel {
  background-image: url("https://i.picsum.photos/id/81/250/200.jpg?hmac=nOR_PsjcZWa6swLRGuxPk2s1Ev-SRlRtGMWElenqzjc");
}
.firtrees {
  background-image: url("https://i.picsum.photos/id/634/250/400.jpg?hmac=D6X4nChawxQgsRxljp61NVnTLyJeHdSsm4Ua4JCI0BE");
  grid-row: 1 / span 2;
  grid-column: 2;
}
.pinetrees {
  background-image: url("https://i.picsum.photos/id/919/250/200.jpg?hmac=xbwFTb7uTXWBVWS8ec6dTbsSDCw4n4nk7s3TDGxqpNw");
}
.shepherd {
  background-image: url("https://i.picsum.photos/id/699/250/400.jpg?hmac=9dOljaUw94gCqB2Ay_KshwkSsuGwGkYwV-v_8k3Mw0Y");
  grid-column: 1;
  grid-row: 2 / span 2;
}
.cliff {
  background-image: url("https://i.picsum.photos/id/849/250/200.jpg?hmac=FjDMoCQokaolpTZeptZNP8HWpZuKXksccGtrwbUXiIk");
  grid-column: 2;
  grid-row: 3;
}
.grass {
  background-image: url("https://i.picsum.photos/id/18/250/200.jpg?hmac=STsQmAmnkZ8UL22RG6YhJV93w_6piJbngdsNp6XD8Co");
}
.snowmount {
  background-image: url("https://i.picsum.photos/id/684/250/150.jpg?hmac=f2XsIBmB1ekKw7K-2bgB8jBuwgHVRRrWXwv1cNFhrZs");
  grid-column: 1;
  grid-row: 4;
}
.pebbles {
  background-image: url("https://i.picsum.photos/id/609/250/450.jpg?hmac=VSqt1bHb8CpVHN4nF2Bs3TFi9ieroT1YRxt2zHvdU0U");
  grid-column: 2;
  grid-row: 4 / span 2;
}
.sunset {
  background-image: url("https://i.picsum.photos/id/896/250/350.jpg?hmac=CLqUMCp7xvcWpRBW7OTmFoOmGX8JaIhNr46e7mwJp2g");
  grid-column: 3;
  grid-row: 3 / span 2;
}
.sea {
  background-image: url("https://i.picsum.photos/id/295/250/300.jpg?hmac=Z91iJjE6a35QOimoqJ85edWUdexnOqz_GN5Rbr9_h1Q");
}
.lake {
  background-image: url("https://i.picsum.photos/id/450/250/200.jpg?hmac=4TQKbVZ2IzA0P5oR6BmC4SOiAH_p79D1BWaYbFNTmzQ");
}
.bio img {
  height: 15vh;
  width: 15vh;
  object-fit: cover;
  border-radius: 50%;
}
.bio h1 {
  font-size: 3vh;
  margin-top: 0;
  margin-bottom: 1vh;
}
.bio p:first-of-type {
  font-weight: bold;
}
.bio p {
  font-size: 2vh;
  margin: 1vh;
}
.footer img {
  height: 6vh;
  width: 9vh;
  margin-top: 2vh;
}
.footer h1 {
  font-size: 2vh;
  margin-top: 0;
  margin-bottom: 0;
}
.footer p {
  margin-top: 0;
  margin-bottom: 0;
}
.footer p:first-of-type {
  font-size: 1.7vh;
}
.footer p:last-of-type {
  font-size: 2.4vh;
}